This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1270597 - Systeam admin guide has wrong info for ssl certificate generation
Systeam admin guide has wrong info for ssl certificate generation
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: system-administrator's-guide (Show other bugs)
devel
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Stephen Wadeley
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 12:34 EDT by pgaltieri
Modified: 2015-11-05 06:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 06:05:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pgaltieri 2015-10-11 12:34:33 EDT
Description of problem:
Section 9.1.7.4. Generating a New Key and Certificate of system admin user guide has incorrect information on how to create SSL certificates.  There are several issues.

1) requires you to use yum to install packages

2) requires you to install package crypto-tools which does not exist

3) requires you to use program genkey which doesn't exist

Version-Release number of selected component (if applicable):
Edition 1 of online admin guide

https://docs.fedoraproject.org/en-US/Fedora/22/html/System_Administrators_Guide/index.html

How reproducible:
Always

Steps to Reproduce:
1. Read https://docs.fedoraproject.org/en-US/Fedora/22/html/System_Administrators_Guide/index.html
2. goto section 9.1.7.4
3.

Actual results:
Provides wrong information

Expected results:
Correct infor on how to create an SSL certificate

Additional info:
Comment 2 Stephen Wadeley 2015-10-12 15:58:13 EDT
Hello

maybe a typo, I do not see crypto-tools only crypto-utils.


On my Fedora 22 Workstation :

~]# dnf provides crypto-utils
Last metadata expiration check performed 0:03:43 ago on Mon Oct 12 21:46:43 2015.
crypto-utils-2.4.1-57.fc22.x86_64 : SSL certificate and key management utilities
Repo        : @System

crypto-utils-2.4.1-57.fc22.x86_64 : SSL certificate and key management utilities
Repo        : fedora

So that suggests it is available in Fedora 22.

==========

On a Fedora 23 VM:

~]$ dnf provides crypto-utils
Last metadata expiration check performed 0:00:44 ago on Mon Oct 12 21:52:25 2015.
crypto-utils-2.4.1-59.fc23.x86_64 : SSL certificate and key management utilities
Repo        : fedora

So that suggests it is available in Fedora 23


=============


I see doc has been updated in master branch

836f8868 (Stephen Wadeley  2015-05-26 22:16:05 +0200 4028)       <screen>~]#&nbsp;<command>dnf install crypto-utils</command></screen>

=========


Please run: dnf provides crypto-utils
or just: dnf install crypto-utils

then: man genkey {as a test}

Thank you
Comment 3 Stephen Wadeley 2015-10-22 15:47:34 EDT
Hello

Have you had chance to test as per comment 2?

Thank you
Comment 4 pgaltieri 2015-10-22 19:59:25 EDT
Yes the crypto-utils package installs and works, but the bug is against the online documentation.  So until that is fixed and made available this bug should still remain open.
Comment 5 Stephen Wadeley 2015-10-23 03:06:44 EDT
Hello

Re:

9.1.7.4. Generating a New Key and Certificate
In order to generate a new key and certificate pair, the crypto-utils package must be installed on the system. To install it, enter the following command as root:

~]# yum install crypto-utils


----------

I acknowledge "yum" is out of date, as per comment 2, the change has been made, I just need to get the guide republished. There was some delay at the time as the guide was being translated.

---------------------


Thank you
Comment 6 Stephen Wadeley 2015-11-05 06:05:21 EST
Hello

I will close this now as the Fedora 23 version in now published.


Thank you

Note You need to log in before you can comment on or make changes to this bug.